Description
When | have my Text formatting set to Markdown, | can use backticks like this

this will be displayed
just fine

But this syntax is also correct, despite it does not work in Redmine:
“this is
also fine™

History

#1 - 2018-09-02 17:46 - Marius BALTEANU

- Status changed from New to Needs feedback

According to which documentation are you saying that the below syntax is correct?

this 1is
also fine "
#2 - 2018-09-02 22:12 - Kamil .
- File markdown.png added
- File redmine.png added

In markdown editor:
https://spec.commonmark.org/dingus/?text=%60%60%60%0Athis%20will%20be%20displayed%0Ajust%20fine %0A%60%60%60%0A%0A%60%60
%60%20this%20is%0Aals0%20fine%60%60%60

#3 - 2018-09-03 02:26 - Go MAEDA

| found the following sentence in https:/spec.commonmark.org/0.28/#fenced-code-blocks.

If the end of the containing block (or document) is reached and no closing code fence has been found, the code block contains all of the lines
after the opening code fence until the end of the containing block (or document).
In Redmine, the following expression works as described in the spec,

ruby
puts "Hello, world."

but it does not work if a space character is contained in the "info string”.

ruby ruby
puts "Hello, world."

#4 - 2018-09-03 07:52 - Marius BALTEANU

I'm not sure how correct is to follow the documentation of Common mark because is not quite the same thing with Markdown.

#5 - 2018-09-03 08:42 - Go MAEDA

2025-07-02 1/2



https://spec.commonmark.org/dingus/?text=%60%60%60%0Athis%20will%20be%20displayed%0Ajust%20fine%0A%60%60%60%0A%0A%60%60%60%20this%20is%0Aalso%20fine%60%60%60
https://spec.commonmark.org/dingus/?text=%60%60%60%0Athis%20will%20be%20displayed%0Ajust%20fine%0A%60%60%60%0A%0A%60%60%60%20this%20is%0Aalso%20fine%60%60%60
https://spec.commonmark.org/0.28/#fenced-code-blocks

Marius BALTEANU wrote:

I'm not sure how correct is to follow the documentation of Common mark because is not quite the same thing with Markdown.

| agree. | don't think the reported problem is not a big problem which should be fixed.

#6 - 2018-09-03 08:51 - Marius BALTEANU
- Status changed from Needs feedback to Closed

- Resolution set to Invalid

I'm closing this as invalid.
